PETSc version 3.15.5
Fix/Edit manual page

# DMPlexGetSimplexOrBoxCells

Get the range of cells which are neither prisms nor ghost FV cells

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetSimplexOrBoxCells(DM dm, PetscInt height, PetscInt *cStart, PetscInt *cEnd)

### Input Parameter

| dm | - The DMPlex object
| height | - The cell height in the Plex, 0 is the default

### Output Parameters

| cStart | - The first "normal" cell
| cEnd | - The upper bound on "normal"" cells

Note: This just gives the first range of cells found. If the mesh has several cell types, it will only give the first.

### See Also

DMPlexConstructGhostCells(), DMPlexGetGhostCellStratum()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages